.NET FrameWork

Topic created · 4 Posts · 1069 Views
  • .NET es un framework de Microsoft que hace un énfasis en la transparencia de redes, con independencia de plataforma de hardware y que permita un rápido desarrollo de aplicaciones. Basado en ella, la empresa intenta desarrollar una estrategia horizontal que integre todos sus productos, desde el sistema operativo hasta las herramientas de mercado.
    .NET podría considerarse una respuesta de Microsoft al creciente mercado de los negocios en entornos Web, como competencia a la plataforma Java de Sun Microsystems y a los diversos framework de desarrollo web basados en PHP. Su propuesta es ofrecer una manera rápida y económica, a la vez que segura y robusta, de desarrollar aplicaciones --o como la misma plataforma las denomina, soluciones-- permitiendo una integración más rápida y ágil entre empresas y un acceso más simple y universal a todo tipo de información desde cualquier tipo de dispositivo.

    Ejemplo: Esto

     // Index.php
    	// -----
     
    	// ------ Clases ------
    	class Base {}
    	class Controller extends Base {
    	  function load($name) {
    		 require_
     
    		$this->$name =& new $name();
    	  }
    	}
    	class Model extends Controller {
    	  function view($name, $data) {
    		extract($data);
     
    		include "app/view/" . $name . ".php";
    	  }
    	}
     
    	// ------ Router & Loader ------
    	function _route($controller, $model) {
    	  if (is_file("app/$controller.php")) {
    		 require_once "app/" . $controller . ".php";
     
    		 $object = new $controller();
     
    		 $object->$model();
    	  }
    	}
     
    	// ----- Rutina -----
    	_route($_GET['section'], $_GET['name']);
    

    Se resume a esto:

    // app/Foo.php
    	// -----
     
    	class Foo extends Controller {
    		function Foo() {
    			$this->load('test');
    		}
     
    		function Bar() {
    		 echo '**Testing!!!**';
    		 echo $this->test->does();
    	  }
    	}
    

    Fuente!
    A resumir cuentas, que el .NET FrameWork va a ser esencial para todo usuario de Windows y más. Es evidente que si abres un programa de VB2010 con ensamblado de .NET FrameWork v4.0 (Hacks, bots etc) deberás tenerlo. Así que actualizaros

    --Descargas--
    Microsoft .NET Framework 4
    Sistemas operativos compatibles: Windows 7; Windows Server 2003 Service Pack 2; Windows Server 2008; Windows Server 2008 R2; Windows Vista Service Pack 1; Windows XP Service Pack 3
    Windows XP SP3
    Windows Server 2003 SP2
    Windows Vista SP1 o posterior
    Windows Server 2008 (no admitido en el rol Server Core)
    Windows 7
    Windows Server 2008 R2 (no admitido en el rol Server Core)
    Arquitecturas compatibles:
    x86
    x64
    ia64 (algunas características no se admiten en ia64; por ejemplo, WPF)
    Requisitos de hardware:
    Mínimo recomendado: Pentium 1 GHz o superior con 512 MB de RAM o más
    Espacio en disco mínimo:
    x86: 850 MB
    x64: 2 GB
    Microsoft .NET Framework 3.5
    Sistemas operativos compatibles: Windows Server 2003; Windows Server 2008; Windows Vista; Windows XP
    Procesador: procesador Pentium a 400 MHz o equivalente (mínimo); procesador Pentium a 1 GHz o equivalente (recomendado)
    RAM: 96 MB (mínimo); 256 MB (recomendado)
    Disco duro: se pueden necesitar hasta 500 MB de espacio disponible
    Unidad de CD o DVD: no se necesita
    Pantalla: 800 x 600, 256 colores (mínimo); color de alta densidad de 1024 x 768, 32 bits (recomendado)
    Microsoft .NET Framework 3.0
    Sistemas operativos compatibles: Longhorn (Windows Code Name) ; Windows Server 2003 Service Pack 1; Windows Vista; Windows XP Service Pack 2

    Para los clientes que ya tienen instalado .NET Framework 2.0, este paquete redistribuible de .NET Framework 3.0 instala únicamente los nuevos componentes de Windows Vista. Esto garantiza que todas las aplicaciones basadas en .NET Framework 2.0 funcionen sin problemas cuando se instale .NET Framework 3.0, sin necesidad de realizar ninguna migración de aplicaciones ni actualizaciones de ningún tipo.
    Microsoft .NET Framework versión 2.0
    Sistemas operativos compatibles: Windows 2000 Service Pack 3; Windows 98; Windows 98 Second Edition; Windows ME; Windows Server 2003; Windows XP Service Pack 2
    Software necesario:

    Windows Installer 3.0 (excepto para Windows 98/ME, que requiere Windows Installer 2.0 o una versión posterior). Windows Installer 3.1 o posterior, recomendado.
    IE 5.01 o versión posterior: en todas las instalaciones de .NET Framework se debe ejecutar Microsoft Internet Explorer 5.01 o una versión posterior.
    Requisitos de espacio en disco: 280 MB (x86), 610 MB (64 bits)

    Microsoft .NET Framework 2.0 Service Pack 1 (x86)
    Sistemas operativos compatibles: Windows 2000 Service Pack 4; Windows Server 2003; Windows XP Service Pack 2
    Procesador: procesador Pentium a 400 MHz o equivalente (mínimo); procesador Pentium a 1 GHz o equivalente (recomendado)
    RAM: 96 MB (mínimo); 256 MB (recomendado)
    Disco duro: se pueden necesitar hasta 500 MB de espacio disponible
    Unidad de CD o DVD: no se necesita
    Pantalla: 800 x 600, 256 colores (mínimo); color de alta densidad de 1024 x 768, 32 bits (recomendado)

    .NET Framework versión 1.1
    Sistemas operativos compatibles: Windows 2000; Windows Server 2003 Service Pack 1 for Itanium-based Systems; Windows Server 2003 x64 editions; Windows Server 2008 Datacenter; Windows Server 2008 Enterprise; Windows Server 2008 for Itanium-based Systems; Windows Server 2008 Standard; Windows Vista Business; Windows Vista Enterprise; Windows Vista Home Basic; Windows Vista Home Premium; Windows Vista Starter; Windows Vista Ultimate; Windows XP; Windows XP Professional x64 Edition
    Nota: Microsoft Windows NT 4.0 requiere el Service Pack 6.0a

    Importante: compruebe que dispone del Service Pack más reciente y de las actualizaciones indispensables para la versión de Windows que utilice. Para buscar las actualizaciones de seguridad más recientes, visite Windows Update. En todas las instalaciones de .NET Framework debe ejecutarse Microsoft Internet Explorer 5.01 o una versión posterior. (Instalar Internet Explorer 6.0 Service Pack 1.)

  • Hey Anghios, muy buen post, se que comento tarde pero segun dicen mejor tarde que nunca :)>- +1 Me ayudo mucho en el Windows XP :3 Porque creo que no lo tenia hasta que lo instale ;)) Gracias.

  • La verdad tienes muy buenos posts xD

  • **Si por ejemplo alguno quiere instalar 3D Max 2011 pues primero debe poseer estos net framework! Muy buena recopilacion anghios!

    Un saludo.**

Log in to reply